petsc-3.4.2 2013-07-02

# DMSetCoordinates

Sets into the DM a global vector that holds the coordinates

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetCoordinates(DM dm, Vec c)

Collective on DM

### Input Parameters

| dm | - the DM
| c | - coordinate vector

### Note

The coordinates do include those for ghost points, which are in the local vector

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMSetCoordinatesLocal(), DMGetCoordinates(), DMGetCoordinatesLoca(), DMGetCoordinateDM()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages